<template>
  <div style="padding: 20px">
    <el-card>
      <div style="display: flex">
        <div class="timee">
          {{ time }}
        </div>
        <div style="margin-left: 20px; margin-top: -12px">
          <span>设备和站点:</span>
          <el-cascader
            :options="options"
            :props="props"
            collapse-tags
            clearable
          ></el-cascader>
        </div>
        <div style="margin-left: 20px; margin-top: -12px">
          <span>选择因子:</span>
          <el-cascader
            :options="options"
            :props="props"
            collapse-tags
            clearable
          ></el-cascader>
        </div>
        <div style="margin-left: 20px; margin-top: -12px">
          <el-button type="primary">查询</el-button>
        </div>
      </div>
    </el-card>
  </div>
</template>        

<script>
//这里可以导入其他文件（比如：组件，工具js，第三方插件js，json文件，图片文件等等）
// 例如：import《组件名称》from'《组件路径》';

export default {
  //import 引入的组件需要注入到对象中才能使用
  components: {},
  props: {},
  data() {
    //这里存放数据
    return {
      time: '',
      props: { multiple: true },
      defaultData: [],
      options: [],
    }
  },
  // 计算属性 类似于data概念
  computed: {},
  // 监控data中的数据变化
  watch: {},
  //方法集合
  methods: {
    getData() {
      this.$request({
        url: '/monitorPoint/queryMonitorPoints',
        method: 'get',
        params: {
          organizationId: this.$store.state.orgId,
        },
      })
        .then((res) => {
          this.defaultData = res.data.monitorPoints
          for (let i = 0; i < this.defaultData.length; i++) {
            this.options.push({
              value: this.defaultData[i].name,
              label: this.defaultData[i].name,
            })
            this.options[i].children = []
            for (let j = 0; j < this.defaultData[i].devices.length; j++) {
              this.options[i].children.push({
                value: [
                  this.defaultData[i].devices[j].name,
                  this.defaultData[i].devices[j].mac,
                ],
                label: this.defaultData[i].devices[j].name,
              })
            }
          }
        })
        .catch((error) => {
          console.log(error)
        })
    },
  },
  //生命周期 - 创建完成（可以访问当前 this 实例）
  created() {
    var timer = this.dateTypeFormat('YYYY-mm-dd HH:MM:SS', new Date())
    this.time = timer
    this.getData();
  },
  //生命周期 - 挂载完成（可以访问 DOM 元素）
  mounted() {},
  beforeCreate() {}, //生命周期 - 创建之前
  beforeMount() {}, //生命周期 - 挂载之前
  beforeUpdate() {}, //生命周期 - 更新之前
  updated() {}, //生命周期 - 更新之后
  beforeDestroy() {}, //生命周期 - 销毁之前
  destroyed() {}, //生命周期 - 销毁完成
  activated() {}, //如果页面有keep-alive缓存功能，这个函数会触发
}
</script>
<style scoped>
</style>